import request from '@/utils/request'

// 查询支付订单列表
export function listPayBill(query) {
  return request({
    url: '/ss/payBill/list',
    method: 'get',
    params: query
  })
}

// 查询支付订单详细
export function getPayBill(payId) {
  return request({
    url: '/ss/payBill/' + payId,
    method: 'get'
  })
}

// 新增支付订单
export function addPayBill(data) {
  return request({
    url: '/ss/payBill',
    method: 'post',
    data: data
  })
}

// 修改支付订单
export function updatePayBill(data) {
  return request({
    url: '/ss/payBill',
    method: 'put',
    data: data
  })
}

// 删除支付订单
export function delPayBill(payId) {
  return request({
    url: '/ss/payBill/' + payId,
    method: 'delete'
  })
}

// 支付订单退款
export function refundPayBill(data) {
  return request({
    url: '/ss/payBill/refund',
    method: 'put',
    data
  })
}
